function ElaWe_GM_ZuReg
%Parameter fr Elastische Welle mit rotierendem Gleichstrommotor und
%                                                     Zustandsregelstruktur
%Reglerberechnung nach: "Entwurf digitaler Regler fr elektrische Antriebe"
%                       Geitner, G.-H., VDE Verlag 1996, S.106

assignin('base','L',0.004);   %Gesamtinduktivitt im Ankerkreis [H]
assignin('base','RM',1);      %Gesamtwiderstand im Ankerkreis [Ohm]
assignin('base','CPh',1);     %Erregung des Gleichstrommotors [Vs]
assignin('base','JM',0.03);   %Gesamttrgheitsmoment auf Motorseite [Kgm^2/rad]
assignin('base','ReiMo',0);   %Drehzahlproportionale Reibung auf Motorseite [Nms/rad]

assignin('base','CFe',200);   %Federkonstante der elastischen Welle [Nm/rad]
assignin('base','JL',0.03);   %Gesamttrgheitsmoment auf Lastseite [Kgm^2/rad]
assignin('base','ReiLa',0);   %Drehzahlproportionale Reibung auf Lastseite [Nms/rad]

assignin('base','Kd',1.8156);  %Wichtung der Drehzahldifferenz [-]
assignin('base','Km',-0.9402); %Wichtung des Federmomentes [-]
assignin('base','Kn',0.7686);  %Wichtung der Motordrehzahlregelabweichung [-]

evalin('base','KL=-(1+Km);');  %Wichtung des Lastmomentes [-]

assignin('base','T',0.001);    %Abtastzeit [s]

txt='"Elastische Welle mit rotierendem Gleichstrommotor und Zustandsregelstruktur"';
disp(['Parameter fr Bondgraph Beispiel ' txt ' geladen!']);
