function Hubmagnet_S63_P
%function Hubmagnet_S63_P
%Parameter fr Hubmagnet nach Scherf Beispiel 6.3
%"Modellierung und Simulation dynamischer Systeme", S.154/162
%Oldenbourg Verlag, 2003

assignin('base','n',1200);       %Windungszahl [-]
assignin('base','my0',1.256e-6); %Magnetische Feldkonstante [Vs/(Am)]
assignin('base','myr',65);       %Permeabilitt von Eisen [-]
assignin('base','l1',0.15);      %mittlere Weglnge der Feldlinien im Eisen [m]
assignin('base','R',6.5);        %Ohmscher Widerstand der Spule [Ohm=V/A]
assignin('base','A',9e-4);       %Schenkelquerschnitt [m^2]
assignin('base','m',0.35);       %Ankermasse [Kg]
assignin('base','g',9.81);       %Erdbeschleunigung [m/s^2]
assignin('base','x0',-0.01);     %Anfangslage des Ankers [m]
assignin('base','u',10);         %Spannung [V]

disp('Parameter fr Bondgraph Beispiel "Hubmagnet_scherf_63" geladen!');
